Spectrum Scale Storage Backend for Cinder
-----------------------------------------

Overview
========

This charm provides a Storwize/SVC storage backend for use with the Cinder
charm; this allows a single Storwize/SVC storage to be associated
with a single Cinder deployment, potentially alongside other storage
backends from other vendors.

To use:

    juju deploy cinder
    juju deploy ibm-cinder-storwize-svc
    juju add-relation ibm-cinder-storwize-svc cinder
	
To deploy this charm user should have access to the IBM Storwize/SVC storage system.

Configuration
=============
All the values in config.yaml file can be configured as shown below:

    juju config ibm-cinder-storwize-svc volume-driver="drivername"
    juju config ibm-cinder-storwize-svc volume-backend-name="volbackendName"
	juju config ibm-cinder-storwize-svc san-ip="storagesystemip"
	juju config ibm-cinder-storwize-svc san-login="useridtologinstoragesyatem"
	juju config ibm-cinder-storwize-svc san-password="pwdtologinstoragesystem"
	juju config ibm-cinder-storwize-svc storwize-svc-volpool-name="VolumepoolName"
	
To Remove the relation and application:

	juju remove-relation cinder ibm-cinder-storwize-svc
	juju remove-application ibm-cinder-storwize-svc
	juju remove-application cinder
	
Known Limitations
=================
This charm makes use of Juju features that are only available in version 2.0 or greater.

Contact Information
===================
For issues with this charm, please contact IBM Juju Support Team <jujusupp@us.ibm.com>
