# Copyright 2016 Canonical Ltd
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#  http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from subprocess import call

from charmhelpers.core.hookenv import (
    service_name,
)

call("pip install " + 'netifaces', shell=True)
call("pip install " + 'psutil', shell=True)

try:
    from charmhelpers.contrib.openstack.context import (
        OSContextGenerator,
    )
except:
    raise


class StorwizeSVCSubordinateContext(OSContextGenerator):
    interfaces = ['storwizesvc-cinder']

    def __call__(self, data=None):
        """
        Used to generate template context to be added to cinder.conf in the
        presence of a ceph relation.
        """

        service = service_name()
        print("Each values printing")
        print(data["volume-driver"])
        print(data["volume-backend-name"])
        print(data["san-ip"])
        print(data["san-login"])
        print(data["san-password"])
        print(data["storwize-svc-volpool-name"])
        print(data["volume-clear"])

        volume_driver = data["volume-driver"]
        volume_backend_name = data["volume-backend-name"]
        san_ip = data["san-ip"]
        san_login = data["san-login"]
        san_password = data["san-password"]
        storwize_svc_volpool_name = data["storwize-svc-volpool-name"]
        volume_clear = data["volume-clear"]

        values_to_add = [('volume_driver', volume_driver),
                         ('volume_backend_name', volume_backend_name),
                         ('san_ip', san_ip),
                         ('san_login', san_login),
                         ('san_password', san_password),
                         ('storwize_svc_volpool_name',
                          storwize_svc_volpool_name),
                         ('volume_clear', volume_clear), ]

        return {
            "cinder": {
                "/etc/cinder/cinder.conf": {
                   "sections": {
                        service: values_to_add
                    }
                }
            }
        }
