
Overview
-----------

This interface layer handles the communication between `cinder` and other cinder-driver charms, such as `ibm-cinder-flashsystem`, `ibm-cinder-ds8k`, `ibm-cinder-xiv` and `ibm-cinder-storwize-svc`.
The provide charms are the Driver charms and consumer charm is `cinder`.
The provider end of this interface provides driver login informations, such as san_ip, san_login, san_password and other driver specific informations to `cinder`.
Once `cinder` charm gets driver specific informations, it updates the configurations and restarts `cinder`. 


Usage
------

#### Provides
Cinder Driver Charms will provide this interface. This interface layer will set the following states, as appropriate:

 - `{relation_name}.available`: The relation is established, Driver charms are ready to send it's information.

 - `{relation_name}.departing` : The relation has been removed. Any cleanup related to the consumer charm(cinder) should happen now on the cinder charm since the consumer is going away.


#### Requires

Consumer charm `cinder` will require this interface to connect to Driver charms so that they can get the information to update the conf file. This interface layer will set the following states, as appropriate:

- `{relation_name}.available` : The consumer charm has been related to a provider charms, i.e Driver charms. At this point, the charm waits for Provider charm to send configuration details like san_ip, san_password, san_login and other details.

- `{relation_name}.changing` : This state sets when relation changes between `cinder` and Driver charm.

- `{relation_name}.departing` : The relation has been removed. Any cleanup related to the provider charms should happen now, since the relation is broken.

Known Limitations
-----------------
This charm makes use of Juju features that are only available in version 2.0 or greater.

Contact Information
-------------------
For issues with this charm, please contact IBM Juju Support Team.

